<?php

namespace fk_\EnumType;

/**
 * This class stands for KAracHakEdisKaynak EnumType
 * @subpackage Enumerations
 */
class KAracHakEdisKaynak
{
    /**
     * Constant for value 'PlAractan'
     * @return string 'PlAractan'
     */
    const VALUE_PL_ARACTAN = 'PlAractan';
    /**
     * Constant for value 'PlHattan'
     * @return string 'PlHattan'
     */
    const VALUE_PL_HATTAN = 'PlHattan';
    /**
     * Constant for value 'PlOzel'
     * @return string 'PlOzel'
     */
    const VALUE_PL_OZEL = 'PlOzel';
    /**
     * Constant for value 'GrAractan'
     * @return string 'GrAractan'
     */
    const VALUE_GR_ARACTAN = 'GrAractan';
    /**
     * Constant for value 'GrHattan'
     * @return string 'GrHattan'
     */
    const VALUE_GR_HATTAN = 'GrHattan';
    /**
     * Constant for value 'GrOzel'
     * @return string 'GrOzel'
     */
    const VALUE_GR_OZEL = 'GrOzel';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_PL_ARACTAN
     * @uses self::VALUE_PL_HATTAN
     * @uses self::VALUE_PL_OZEL
     * @uses self::VALUE_GR_ARACTAN
     * @uses self::VALUE_GR_HATTAN
     * @uses self::VALUE_GR_OZEL
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_PL_ARACTAN,
            self::VALUE_PL_HATTAN,
            self::VALUE_PL_OZEL,
            self::VALUE_GR_ARACTAN,
            self::VALUE_GR_HATTAN,
            self::VALUE_GR_OZEL,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
